listo.class('ListoAbstract', function (listo, $) {
	const { capitalize } = listo.string;

	return class {
		constructor(container) {
			this.$container = $(container);

			this.$container.on('click change input', '[data-listo]', e => {
				this.triggerEventListener(e);
			});
		}

		triggerEventListener(e) {
			let elementId = e.currentTarget.getAttribute('data-listo');
			let eventListener = `on${capitalize(elementId + '-' + e.type)}`;

			if ('function' === typeof this[eventListener]) {
				this[eventListener](e);
			}
		}

		progress(el, type, onComplete) {
			let $input = $(el);

			if (type === 'loading') {
				$input.prop('disabled', true).css('opacity', 0.5);
				$input.removeClass('success').addClass('loading');

				// Force loading progress for current input to be shown for at least 1 second.
				$input.data('force-loading', 1);
				setTimeout(() => {
					$input.removeData('force-loading');
					let queue = $input.data('queue');
					if (queue) {
						$input.removeData('queue');
						this.progress($input, queue.type, queue.onComplete);
					}
				}, 1000);
			} else if ($input.data('force-loading')) {
				$input.data('queue', { type, onComplete });
			} else if (type === 'done') {
				$input.prop('disabled', false).css('opacity', '');
				$input.removeClass('loading').addClass('success');
				setTimeout(() => $input.removeClass('success'), 1000);
				if ('function' === typeof onComplete) {
					onComplete();
				}
			} else if (type === 'fail') {
				$input.prop('disabled', false).css('opacity', '');
				$input.removeClass('loading success');
				if ('function' === typeof onComplete) {
					onComplete();
				}
			}
		}
	};
});
