(function (listo) {
	const { hooks } = listo;
	const { parseDate } = listo.string;

	hooks.addFilter('item_map', function (item) {
		if (item instanceof Array) {
			item = item.map(it => hooks.applyFilters('item_map', it));
		} else if (typeof item === 'object') {
			for (const key in item) {
				if (['due', 'created', 'edited', 'closed'].indexOf(key) > -1) {
					item[`${key}_parsed`] = item[key] ? parseDate(item[key]) : item[key];
				}
			}
		}

		return item;
	});
})(window.listo);
