<?php

class Listo_Plugins_List {
	private static $instance;

	public static function get_instance() {
		return isset( self::$instance ) ? self::$instance : self::$instance = new self;
	}

	private function __construct() {
		add_filter( 'plugin_action_links_listowp-pro/listo_plugin.php', function($links=[]){
			$links = array_merge($this->base_links(), $links);
			return $links;
		}, 10);

		add_filter( 'plugin_action_links_listowp/listo_plugin.php', function($links=[]){
			$links = array_merge($this->base_links(), $links);
			$links = array_merge($this->free_links(), $links);
			return $links;
		}, 10);
	}

	private function base_links() {
		return [
			'lsitowp_settings' => '<a href="' . esc_url(admin_url('admin.php?page=listowp')) . '">' . esc_html(_x( 'Configuration', 'admin', 'listowp' )) . '</a>'
		];
	}

	private function free_links() {
		return [
//			'listowp_upgrade' => '<a target="_blank" style="color:#1da867;font-weight:bold" href="https://ListoWP.com/pricing">' . esc_html(_x( 'Upgrade to Pro!', 'admin', 'listowp' )) . '</a>'
			'listowp_upgrade' => '<a style="color:#1da867;font-weight:bold" href="' . esc_url(admin_url('admin.php?page=listowp-upgrade')) . '">' . esc_html(_x( 'Upgrade to Pro!', 'admin', 'listowp' )) . '</a>'
		];
	}
}

Listo_Plugins_List::get_instance();
