<?php

class Listo_Cron {

	private static $instance;

	private static $crons = [
		'listowp_five_minutes'  =>  'five_minutes',
		'hourly'                =>  'hourly',
	];

	public static function get_instance()
	{
		return isset(self::$instance) ? self::$instance : self::$instance = new self;
	}

	private function __construct() {
		add_filter( 'cron_schedules', function ( $schedules ) {

			$schedules['listowp_five_minutes'] = array(
				'interval' => 300,
				'display'  => 'ListoWP: 5 minutes',
			);

			return ( $schedules );
		} );

		add_action('template_redirect', function(){
			foreach(self::$crons as $schedule=>$hook) {
				$hook = 'listowp_cron_'.$hook;
				if(isset($_REQUEST[$hook])) {
					do_action($hook);
					die();
				}
			}
		});



		add_action( 'listowp_cron_hourly', function() {
			$count = Listo_Mayfly::clr();
			new Listo_Debug("Listo_Cron: MayFly cleanup deleted $count entries");
		});
	}

	public static function schedule_events() {

		foreach(self::$crons as $schedule=>$hook) {
			$hook = 'listowp_cron_'.$hook;
			if (! wp_next_scheduled ( $hook )) {
				wp_schedule_event(current_time('timestamp'), $schedule, $hook);
			}
		}
	}
}

//Listo_Cron::get_instance();