<?php

    // Default hours.
    $default_hour = Listo_User_Preferences::get_instance()->get('item_default_hour', 8);
    $default_hour_12h = ($default_hour_12h = $default_hour % 12) == 0 ? 12 : $default_hour_12h;
    $default_hour_ampm = $default_hour < 12 ? 'am' : 'pm';

?>{{
    let dueDate = data.due_parsed ? data.due_parsed.date: '';
    let dueDateMirror = data.due_parsed ? data.due_formatted_long : '';
    let dueHours = data.due_parsed ? data.due_parsed.hours : '<?php echo sprintf("%02d", $default_hour); ?>';
    let dueHours12h = data.due_parsed ? data.due_parsed.hours12h : '<?php echo sprintf("%02d", $default_hour_12h); ?>';
    let dueMinutes = data.due_parsed ? data.due_parsed.minutes : '';
    let dueAmpm = data.due_parsed ? data.due_parsed.ampm : '<?php echo $default_hour_ampm ?>';
}}
<div class="lo-popover" data-listo="item-due-popup" style="display:none; z-index:2">
    <div class="lo-form lo-form--inline">
        <div class="lo-form__row">
            <div class="lo-form__label">
                <?php echo __('Date', 'listowp'); ?>
            </div>
            <div class="lo-form__control">
                <i class="fa-regular fa-calendar"></i>
                <div class="lo-form__multicontrols">
                    <input type="text" data-listo="item-due-date-mirror" value="{{= dueDateMirror }}"
                        placeholder="<?php echo __('Select date', 'listowp') ?>" readonly />
                    <i class="fa-solid fa-circle-notch fa-spin" data-listo="loading"
                        style="position:absolute; left:cal(50% - 7px); display:none"></i>
                    <input type="date" data-listo="item-due-date" value="{{= dueDate }}"
                        style="opacity:0; position:absolute; left:0; right:0; top:0; bottom:0" />
                </div>
            </div>
        </div>

        <?php
        $format24 = true;
        $date_test = date(get_option('time_format'),time());
        if(stristr($date_test,'am') || stristr($date_test,'pm')) {
            $format24 = false;
        } ?>

        <div class="lo-form__row" <?php echo $format24 ? '' : 'style="display:none"';?>">
            <div class="lo-form__label">
                <?php echo __('Time', 'listowp'); ?>
            </div>
            <div class="lo-form__control">
                <i class="fa-regular fa-clock"></i>
                <div class="lo-form__multicontrols">
                    <select type="text" data-listo="item-due-hours">
                        <?php foreach (range(0, 23) as $hour) { ?>
                        <?php $hour_formatted = sprintf("%02d", $hour); ?>
                        <option value="<?php echo $hour_formatted ?>"
                            {{= +dueHours === <?php echo $hour; ?> ? 'selected' : '' }}>
                            <?php echo $hour_formatted; ?>
                        </option>
                        <?php } ?>
                    </select>
                    <span>:</span>
                    <select type="text" data-listo="item-due-minutes">
                    <?php foreach ([0, 15, 30, 45] as $minute) { ?>
                        <?php $minute_formatted = sprintf("%02d", $minute); ?>
                        <option value="<?php echo $minute_formatted; ?>"
                            {{= +dueMinutes === <?php echo $minute; ?> ? 'selected' : '' }}>
                            <?php echo $minute_formatted; ?>
                        </option>
                    <?php } ?>
                    </select>
                </div>
            </div>
        </div>

        <div class="lo-form__row" <?php echo $format24 ? 'style="display:none"' : '' ;?>">
            <div class="lo-form__label">
			    <?php echo __('Time', 'listowp'); ?>
            </div>
            <div class="lo-form__control">
                <i class="fa-regular fa-clock"></i>
                <div class="lo-form__multicontrols lo-form__multicontrols--time">
                    <select type="text" data-listo="item-due-hours-12h">
					    <?php foreach (range(0, 12) as $hour) { ?>
						<?php $hour_formatted = sprintf("%02d", $hour); ?>
                        <option value="<?php echo $hour_formatted ?>"
                            {{= +dueHours12h === <?php echo $hour; ?> ? 'selected' : '' }}>
                            <?php echo $hour_formatted; ?>
                        </option>
					    <?php } ?>
                    </select>
                    <span>:</span>
                    <select type="text" data-listo="item-due-minutes-12h">
					    <?php foreach ([0, 15, 30, 45] as $minute) { ?>
						    <?php $minute_formatted = sprintf("%02d", $minute); ?>
                            <option value="<?php echo $minute_formatted; ?>"
                                {{= +dueMinutes === <?php echo $minute; ?> ? 'selected' : '' }}>
						    <?php echo $minute_formatted; ?>
                            </option>
					    <?php } ?>
                    </select>
                    <select data-listo="item-due-ampm">
                        <option value="am" {{= dueAmpm === 'am' ? 'selected' : '' }}><?php echo __('am', 'listowp'); ?></option>
                        <option value="pm" {{= dueAmpm === 'pm' ? 'selected' : '' }}><?php echo __('pm', 'listowp'); ?></option>
                    </select>
                </div>
            </div>
        </div>

        <?php do_action('listowp_item_meta'); ?>

        <div class="lo-form__actions">
            <button class="lo-btn lo-btn--sm lo-btn--link" data-listo="item-due-clear">
                <?php echo __('Clear', 'listowp'); ?>
            </button>
            <button class="lo-btn lo-btn--sm lo-btn--action" data-listo="item-due-set">
                <?php echo __('Save', 'listowp'); ?>
            </button>
        </div>
    </div>
</div>
