<div class="lo-pref" data-listo="preferences" style="display:none">
    <button class="lo-pref__close lo-btn lo-tip lo-tip--left" data-listo="preferences-close" aria-label="<?php echo esc_attr_x('Close', 'Button to close window etc','listowp'); ?>">
        <i class="fa-solid fa-circle-xmark"></i>
    </button>
    <div class="lo-pref__title"><?php echo esc_attr(__('Preferences', 'listowp')); ?></div>
    <div class="lo-pref__inner">
        <!-- Task Option -->
        <div class="lo-pref__box">
            <div class="lo-pref__box-title">
                <i class="fa-solid fa-list-check"></i><span><?php echo esc_attr(__('Tasks', 'listowp')); ?></span>
            </div>
            <div class="lo-pref__box-desc">
                <?php echo esc_attr(__('Default order', 'listowp')); ?>
            </div>
            <div class="lo-pref__box-opt">
                <div class="lo-timezone">
                    <select class="lo-input" data-listo="items-order">
                        <option value=""><?php echo __('Manual', 'listowp'); ?></option>
                        <option value="status"><?php echo __('Status', 'listowp'); ?></option>
                        <option value="due"><?php echo __('Due date', 'listowp'); ?></option>
<!--                        <option value="created">--><?php //echo __('Date created', 'listowp'); ?><!--</option>-->
<!--                        <option value="edited">--><?php //echo __('Date modified', 'listowp'); ?><!--</option>-->
                    </select>
                    <i class="fa-solid fa-circle-notch fa-spin"></i>
                    <i class="fa-solid fa-check"></i>
                </div>
            </div>
            <div class="lo-pref__box-opt" data-listo="items-order-dir-box">
                <div class="lo-timezone">
                    <select class="lo-input" data-listo="items-order-dir">
                        <option value="asc"><?php echo __('Ascending', 'listowp'); ?></option>
                        <option value="desc"><?php echo __('Descending', 'listowp'); ?></option>
                    </select>
                    <i class="fa-solid fa-circle-notch fa-spin"></i>
                    <i class="fa-solid fa-check"></i>
                </div>
            </div>
            <div class="lo-pref__box-desc">
                <?php echo esc_attr(__('Hide completed', 'listowp')); ?>
            </div>
            <div class="lo-pref__box-opt">
                <div class="lo-timezone">
                    <select class="lo-input" data-listo="items-hide-done">
                        <option value="0"><?php echo __('No', 'listowp'); ?></option>
                        <option value="1"><?php echo __('Yes', 'listowp'); ?></option>
                    </select>
                    <i class="fa-solid fa-circle-notch fa-spin"></i>
                    <i class="fa-solid fa-check"></i>
                </div>
            </div>
        </div>
        <!-- Timezone Option -->
        <div class="lo-pref__box">
            <div class="lo-pref__box-title">
                <i class="fa-solid fa-clock"></i><span><?php echo esc_attr(__('Timezone', 'listowp')); ?></span>
            </div>
            <div class="lo-pref__box-desc">
                <?php echo esc_attr(__('Set your current timezone', 'listowp')); ?>
            </div>
            <div class="lo-pref__box-opt">
                <div class="lo-timezone">
                    <?php $options = Listo_Time::options(); ?>
                    <select class="lo-input" data-listo="timezone">
                        <?php foreach ($options as $option) { ?>
                            <option value="<?php echo esc_attr($option); ?>"><?php echo esc_attr($option); ?></option>
                        <?php } ?>
                    </select>
                    <i class="fa-solid fa-circle-notch fa-spin"></i>
                    <i class="fa-solid fa-check"></i>
                </div>
            </div>
        </div>
        <?php if(Listo_Config::get('gdpr_enabled')) {?>
        <!-- GDPR Option -->
        <div class="lo-pref__box">
            <div class="lo-pref__box-title">
                <i class="fa-solid fa-lock"></i><span><?php echo esc_attr(__('Privacy', 'listowp')); ?></span>
            </div>
            <div class="lo-pref__box-desc">
                <?php echo esc_attr(__('Manage your data', 'listowp')); ?>
            </div>
            <div class="lo-pref__box-opt">
                <div class="lo-gdpr">
                    <a href="#" data-listo="gdpr-delete"><?php echo __('Delete all lists and tasks', 'listowp'); ?></a>
                    <a href="/?listowp_gdpr_export" target="_blank"><?php echo __('Export all lists and tasks', 'listowp'); ?></a>
                </div>
            </div>
        </div>
        <?php } ?>
    </div>
    <?php if(Listo_Config::get('powered_by_enabled')) {?>
        <div class="lo-poweredby">Powered by <a href="https://listowp.com" target="_blank">ListoWP</a></div>
    <?php } ?>
</div>
